// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"

#include "Ocean.h"
#include "GameFramework/GameState.h"
#include "SOCGameState.generated.h"

/**
 * 
 */
UCLASS()
class SEAOFCROOKS_API ASOCGameState : public AGameState
{
	GENERATED_BODY()

public:
	AOcean* GetOcean();

	void SetOcean(AOcean* NewOcean);
protected:	
	UPROPERTY()
	AOcean* Ocean;
};
