// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Pawn.h"
#include "Components/BuoyancyComponent.h"
#include "ShipBase.generated.h"

UCLASS()
class SEAOFCROOKS_API AShipBase : public APawn
{
	GENERATED_BODY()

public:
	// Sets default values for this pawn's properties
	AShipBase();

protected:
	UPROPERTY(EditDefaultsOnly, Category="Components")
	UStaticMeshComponent* ShipMesh;

	UPROPERTY(EditDefaultsOnly, Category="Components")
	UBuoyancyComponent* BuoyancyComp; 
	
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void Tick(float DeltaTime) override;

	// Called to bind functionality to input
	virtual void SetupPlayerInputComponent(class UInputComponent* PlayerInputComponent) override;

};
